# Deprecated API

## Contents

- Terminally Deprecated
- Fields
- Methods

Terminally Deprecated Elements
Element
Description
jakarta.servlet.http.Cookie.getComment()
This is no longer required with RFC 6265
jakarta.servlet.http.Cookie.getVersion()
This is no longer required with RFC 6265
jakarta.servlet.http.Cookie.setComment(String)
This is no longer required with RFC 6265
jakarta.servlet.http.Cookie.setVersion(int)
This is no longer required with RFC 6265
jakarta.servlet.http.HttpServlet.LEGACY_DO_HEAD
May be removed in a future release
jakarta.servlet.SessionCookieConfig.getComment()
This is no longer required with RFC 6265
jakarta.servlet.SessionCookieConfig.setComment(String)
This is no longer required with RFC 6265

Deprecated Fields
Field
Description
jakarta.servlet.http.HttpServlet.LEGACY_DO_HEAD
May be removed in a future release

Deprecated Methods
Method
Description
jakarta.servlet.http.Cookie.getComment()
This is no longer required with RFC 6265
jakarta.servlet.http.Cookie.getVersion()
This is no longer required with RFC 6265
jakarta.servlet.http.Cookie.setComment(String)
This is no longer required with RFC 6265
jakarta.servlet.http.Cookie.setVersion(int)
This is no longer required with RFC 6265
jakarta.servlet.SessionCookieConfig.getComment()
This is no longer required with RFC 6265
jakarta.servlet.SessionCookieConfig.setComment(String)
This is no longer required with RFC 6265